//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : credits -- HEADER
// created (by) : Christian Behrenberg, 2007-11-24
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPES
//--------------------------------------------------------------------

	void cr_load();
	void cr_camStart();
	void cr_logo();
	void cr_element();
	void cr_stop();
	void cr_tfp();

//--------------------------------------------------------------------
// CONSTANTS
//--------------------------------------------------------------------

	char*		CR_LEVELFILE = "credits.wmb";

	VECTOR*	CR_SKY_COLOR = {x = 1; y = 1; z = 1;}
	
	int		CR_CAM_ARC = 60;
	var		CR_CAM_ROLLSPEED = 2.7;

	var		CR_LOGO_WAITSTART		= 1;		// in secs
	var		CR_LOGO_FADESPEED		= 5;
	var		CR_LOGO_STAY			= 1;		// in secs

	var		CR_ELEM_FADEDIST		= 350;
	var		CR_ELEM_FADEFACTOR	= 0.25;

	var		CR_TFP_FADEINSPEED	= 2;
	var		CR_TFP_STAY				= 4;		// in secs
	var		CR_TFP_FADEOUTSPEED	= 1.25;
	var		CR_TFP_WAITAFTER		= 1;		// in secs

//--------------------------------------------------------------------
// Variables
//--------------------------------------------------------------------

	ENTITY*	cr_tfp_ent;

	var		cr_logoReady;
	var		cr_stop_z;
	var		cr_stoppable;

//--------------------------------------------------------------------
// Materials
//--------------------------------------------------------------------

	// The sprites are rendered natively with gourard shading
	// but they should be lit like panels, so we use a seperate
	// material for them.

	MATERIAL* mat_cr_elem = {
	
		ambient_red    = 250;
		ambient_green  = 250;
		ambient_blue   = 250;
	
		diffuse_red    = 0;
		diffuse_green  = 0;
		diffuse_blue   = 0;
	
		specular_red   = 0;
		specular_green = 0;
		specular_blue  = 0;
	
		emissive_red   = 32;
		emissive_green = 32;
		emissive_blue  = 32;
	
		albedo			= 50;
		power				= 0;
	}
	
	MATERIAL* mat_cr_tfp = {
	
		ambient_red		= 220;
		ambient_green  = 220;
		ambient_blue   = 220;

		diffuse_red    = 0;
		diffuse_green  = 0;
		diffuse_blue   = 0;

		specular_red   = 0;
		specular_green = 0;
		specular_blue  = 0;

		emissive_red   = 5;
		emissive_green = 5;
		emissive_blue  = 5;

		albedo			= 50;
		power				= 0;
	}