//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : effects -- HEADER
// created (by) : Christian Behrenberg, 2007-10-24
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void eff_horFog ();
		void eff_horFog_cloud ();
	void eff_snow_create (VECTOR* size, var density);
		void eff_snow (PARTICLE *p);
			void eff_snow_func (PARTICLE* p);
				void eff_snow_medium ();
				void eff_snow_light ();
				void eff_snow_verylight ();
	void eff_puff (PARTICLE *p);
		void eff_puff_func (PARTICLE* p);
	void eff_sparkMagic(PARTICLE* p);
		void eff_sparkMagic_func (PARTICLE* p);
	void eff_snowSplat (PARTICLE* p);
		void eff_snowSplat_func (PARTICLE* p);
	void eff_sparkBright (PARTICLE* p);
		void eff_sparkBright_func (PARTICLE* p);
	void eff_spawnEnt_verts (ENTITY* ent, int nr, void* fnc);
	void eff_sledgeHeart3D (VECTOR* pos);
		void eff_sledgeHeart3D_func ();
	void eff_flare ();
	void eff_shadStatic ();
	void eff_rudiNoseGlow ();
		void eff_rudiNoseGlow_func ();
	void eff_bigFire_fire (PARTICLE *p);
		void eff_bigFire_fire_func (PARTICLE *p);
	void eff_bigFire_smoke (PARTICLE *p);
		void eff_bigFire_smoke_func (PARTICLE *p);
	void effShadSoft(ENTITY* ent, int vertex, var scale);
		void effShadSoft_ent ();
	void effShadBlobTrace (ENTITY* ent, var scale, char* file);
		void effShadBlobTrace_ent ();
	void effShadBlob (ENTITY* ent, var scale, char* file);
		void effShadBlob_ent ();

//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	#define deleteShadow skill13

//--------------------------------------------------------------------
// VARIABLES
//--------------------------------------------------------------------

	VECTOR eff_weatherbox;
	VECTOR eff_wind_dir;

//--------------------------------------------------------------------
// RESSOURCES
//--------------------------------------------------------------------

	// PUFF EFFECT

		BMAP* eff_puff_bmap;
			char* eff_puff_file = "effPuff.dds";

	// SPARK MAGIC EFFECT

		BMAP* eff_sparkMagic_bmap;
			char* eff_sparkMagic_file = "effSparkMagic.dds";

		BMAP* eff_sparkBright_bmap;
			char* eff_sparkBright_file = "effSparkBright.dds";

	// SNOW EFFECT

		BMAP* eff_snowFlakes_bmap;
		
	// SNOW SPLAT
	
		BMAP* eff_snowSplat_bmap;
			char* eff_snowSplat_file = "effSnowSplat.dds";

	// BIG FIRE

		BMAP* eff_bigFire_fireBmap;
		BMAP* eff_bigFire_smokeBmap;