//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// shader       : detail texture on model + shiny shader
// created (by) : Christian Behrenberg, 2007-11-17
//--------------------------------------------------------------------

extern texture entSkin1;
extern texture entSkin2;
extern texture mtlSkin1;

extern float4x4 matMtl;

technique detailShiny
{
	pass p0
	{
		Lighting = true;

		//render model with skin1

			Texture[0] = <entSkin1>;
			ColorArg1[0] = Texture;
			texcoordindex[0] = 0;

		//tile skin2 over it

			Texture[1] = <entSkin2>;
			colorarg1[1] = Texture;
			colorarg2[1] = current;
			colorop[1] = modulate;
			texcoordindex[1] = 0;
			texturetransformflags[1] = count2;
			texturetransform[1] = {	15.0,0.0,0.0,0.0, // tiles u
											0.0,15.0,0.0,0.0, // tiles v
											0.0,0.0,0.0,0.0,
											0.0,0.0,0.0,0.0};

		//apply transparent cubemap

			texture[2]=<mtlSkin1>;
			colorArg1[2]=Texture;
	
			colorOp[2]=blendFactorAlpha;
			textureFactor=0x25FFFFFF; //~15% cubemap alpha
				//textureFactor=0x75FFFFFF; //~75%
				//textureFactor=0x80FFFFFF; //~50%
				//textureFactor=0x40FFFFFF; //~25%
	
	 		addressU[2]=Clamp;
	 		addressV[2]=Clamp;
	 		texCoordIndex[2]=cameraSpaceReflectionVector;
	 		textureTransformFlags[2]=Count3;
	 		textureTransform[2]=<matMtl>;
	}
};