//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : hud
// created (by) : Christian Behrenberg, 2007-11-01
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// MAIN HUD FUNCTION
//--------------------------------------------------------------------
void hud_main ()
{
	// Initialization
		hud_init();

	// Main loop
		while (1) {
			hud_refresh();
			wait(1);
		}
}

//--------------------------------------------------------------------
// INITIALIZES THE HUD
//--------------------------------------------------------------------
void hud_init ()
{
	// Create fonts
		hud_fntNr = font_create("hudFntNr.dds");

	// Create panels
		hud_heart = pan_createEx("digits(-131, 64, 5, hud_fntNr, 1, points);", 998, "hudHeart.dds", 0, 0, 0);
		hud_lifes = pan_createEx("digits(97, 116, 1, hud_fntNr, 1, lifes);", 998, "hudLifes.dds", 0, 0, 0);
}

//--------------------------------------------------------------------
// HIDES THE HUD
//--------------------------------------------------------------------
void hud_hide ()
{
	reset(hud_heart, VISIBLE);
	reset(hud_lifes, VISIBLE);
	set(pk_arrow, INVISIBLE);
}

//--------------------------------------------------------------------
// SHOWS THE HUD
//--------------------------------------------------------------------
void hud_show ()
{
	set(hud_heart, VISIBLE);
	set(hud_lifes, VISIBLE);
	
	if (pk_arrow->scale_x <= pk_arr_popup_clip) {
		set(pk_arrow, INVISIBLE);
	} else {
		reset(pk_arrow, INVISIBLE);
	}
}

//--------------------------------------------------------------------
// REFRESHES THE HUD
//--------------------------------------------------------------------
void hud_refresh ()
{
	ri_refreshPanel(hud_lifes, hud_lifes_pos);
	ri_refreshPanel(hud_heart, hud_heart_pos);
}