//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : levels
// created (by) : Christian Behrenberg, 2007-10-19
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// RESETS ALL NECESSARY STUFF EACH TIME A LEVEL GETS LOADED
//--------------------------------------------------------------------
void lvl_reset ()
{
	//package count
		pk_count = 0;
		pk_count_max = 0;

	//package pointer
		pk_current = 0;

	//turn on HUD
		hud_show();

	//reset nose glow
		eff_rudiNoseGlow = NULL;

	freeze_mode = 0;
}

//--------------------------------------------------------------------
// PRELOAD SECONDARY DATA
//
// Secondary data are files which are loaded arbitrarily, which means,
// that preload is not covered through the level preload variable. So
// we call this function after level_load to preload this data.
//--------------------------------------------------------------------
void lvl_preload ()
{
	ent_create("sledgeA.mdl", vector(0,0,-1000), lvl_preload_ent);
	ent_create("sledgeB.mdl", vector(0,0,-1000), lvl_preload_ent);
	ent_create("sledgeC.mdl", vector(0,0,-1000), lvl_preload_ent);
	ent_create("ropeToSledge.mdl", vector(0,0,-1000), lvl_preload_ent);
	ent_create("heartB.mdl", vector(0,0,-1000), lvl_preload_ent);
	ent_create("effPacketExploA+8.tga", vector(0,0,-1000), lvl_preload_ent);
	ent_create("effPacketExploB+8.tga", vector(0,0,-1000), lvl_preload_ent);
	ent_create("effPacketExploC+8.tga", vector(0,0,-1000), lvl_preload_ent);
	ent_create("effPuff.dds", vector(0,0,-1000), lvl_preload_ent);
}

	//- dummy function ---------------------------------------------------
	void lvl_preload_ent ()
	{
		ent_preload(my);
		wait(1);
		ent_remove(my);
	}