//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : packets -- HEADER
// created (by) : Christian Behrenberg, 2007-10-19
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void packet();
		void pk_init();

	int		pk_check();
	ENTITY*	pk_spawn();
	ENTITY*	pk_select();
	void		pk_activate(ENTITY* ent);
	void		pk_remove();
	void		pk_arrow_main();
	void		pk_arrow_init();

//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	#define ID skill9	//ID number
	#define pk_max 30	//maximal amount of packets

//--------------------------------------------------------------------
// VARIABLES
//--------------------------------------------------------------------

	int		pk_count;					//currently available packets
	int		pk_count_max;				//maximal amount of available packets
	ENTITY*	pk_ents [pk_max];			//pointers to the packets
	ENTITY*	pk_current = 0;
	var		pk_collectRange = 100;
	
	//Arrow

		ENTITY*	pk_arrow = 0;

		var		pk_arr_rotBlend = 0.5;

		var		pk_arr_popup_speedIn = 0.5;
		VECTOR*	pk_arr_popup_scaleIn = {x = 1; y = 1; z = 1;}

		var		pk_arr_popup_speedOut = 0.9;
		VECTOR*	pk_arr_popup_scaleOut = {x = 0.05; y = 0.05; z = 0.05;}

		var		pk_arr_popup_clip = 0.075;