//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : shaders -- HEADER
// created (by) : Christian Behrenberg, 2007-11-16
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void shader_startup ();
	void fx_detailShiny ();
		void mtl_detailShiny_init ();
			void mtl_detailShiny_func ();
	void fx_ocean (BMAP* cube);
		void mtl_ocean_init (BMAP* cube);
	void fx_detail ();
	void fx_shiny (BMAP* cube);
		void mtl_shiny_init (BMAP* cube);
			void mtl_shiny_func ();
	void fx_wavingGrass ();
	void fx_alpha ();

//--------------------------------------------------------------------
// RESSOURCES
//--------------------------------------------------------------------

	BMAP* fx_cube_shiny;
	BMAP* fx_cube_sky_northpole;
	
//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	char* FX_CUBE_SHINY				= "cubeShiny+6.tga";
	char* FX_CUBE_WATER				= "cubeWater+6.tga";
	char* FX_CUBE_SKY_NORTHPOLE	= "cubeSkyNorthpole+6.tga";
	
//--------------------------------------------------------------------
// SHADER MATERIALS
//--------------------------------------------------------------------

	MATERIAL* mtl_detailShiny = {
		event = mtl_detailShiny_init;
		flags = ENABLE_VIEW;
		effect = "detailShiny.fx";
	}
	
	MATERIAL* mtl_ocean = {
		flags = tangent;
		effect = "ocean.fx";
	}
	
	MATERIAL* mtl_detail = {
		effect = "detailModel.fx";
	}
	
	MATERIAL* mtl_shiny = {
	 	effect = "shiny.fx";
	}
	
	MATERIAL* mtl_wavingGrass = {
		effect = "wavingGrass.fx";
		flags = TANGENT;
	}
	
	MATERIAL* mtl_alpha = {
		effect = "alpha.fx";
	}