//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : sledges -- HEADER
// created (by) : Christian Behrenberg, 2007-10-15
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void	sl_main();
		void	sl_init();
		int	sl_tracking_init();
		void	sl_tracking_search();
		void	sl_move();
		void	sl_log();
		void	sl_check();
			void	sl_check_cut();
			void	sl_check_frontDeath();
		void sl_sparkle();
		void sl_rope();
			void sl_rope_ent();

		void	sl_death();
			void sl_death_crash();
			void sl_death_heart();
	void	sl_add();
	void	sl_addNr (int nr);
	void	sl_cut (ENTITY* sledge);
	void	sl_getHearts (ENTITY* sledge);
	void	sl_eff_exploPacket();
		void	sl_eff_exploPacket_func();
	void sl_eff_snowSplat();


//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	#define sledgeFront					skill9
	#define sledgeBack					skill10
	#define sledgeCtrlPoint    		skill11 //cast to: TRACKPOINT*
	#define sledgeTargetPos				skill12 //13,14
	#define sledgeParentPos				skill15 //16,17
	#define sledgeDist					skill18
	#define sledgePoint					skill19 //cast to: TRACKPOINT*
	#define sledgeTrackLength			skill20
	#define sledgeTrackLengthPrev		skill21
	#define sledgeDestroyable			skill22

	#define sledgeRopeEnt				skill23

	#define sledgeDeath	skill80
	
//--------------------------------------------------------------------
// VARIABLES
//--------------------------------------------------------------------

	var		sl_dist_toRudi = 175;
	var		sl_dist_toSledge = 175;
	var		sl_cutDist = 90;
	VECTOR	sl_addNr_spawnPos;