//////////////////////////////////////////////////////////////////////
// RUDI v0.1 - an open source Christmas game
// Copyright (C) 2007 Christian Behrenberg
//--------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation;
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//--------------------------------------------------------------------
// module       : system utitlities -- HEADER
// created (by) : Christian Behrenberg, 2007-10-11
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// PROTOTYPE HIERARCHY
//--------------------------------------------------------------------

	void reset_backupMe (ENTITY* myEnt, void* resetAction);
	void reset_restoreMe (ENTITY* myEnt);
	VECTOR* ang_lerp (VECTOR* resultVec, VECTOR* srcVec, VECTOR* destVec, var blendFactor);
	BMAP* bmapCheck(BMAP* source, char* file);
	PANEL* pan_createEx (char* content, var layer, char* bitmap, int posX, int posY, long flags);
	
//--------------------------------------------------------------------
// DEFINES
//--------------------------------------------------------------------

	#define resetData_pos	skill90	//91,92
	#define resetData_rot	skill93	//94,95
	#define resetData_ev		skill96
	
//--------------------------------------------------------------------
// GLOBALS
//--------------------------------------------------------------------

	// Used by "ang_lerp" (Lite-C doesn't support static yet)
		VECTOR ANG_LERP_VEC;
		
	// Used by serveral entities to organize a global reset
		var reset_global;